
#include <Servo.h>

#define TRED_R_MOTOR_SPEED_PIN       2
#define TRED_R_MOTOR_BRAKE_PIN       3
#define TRED_R_MOTOR_DIRECTION_PIN   25

#define TRED_L_MOTOR_SPEED_PIN       4
#define TRED_L_MOTOR_BRAKE_PIN       5
#define TRED_L_MOTOR_DIRECTION_PIN   27

#define FLIPPER_MOTOR_SPEED_PIN       6
#define FLIPPER_MOTOR_BRAKE_PIN       7
#define FLIPPER_MOTOR_DIRECTION_PIN   29

int pos = 0; 

void setup() {
  // put your setup code here, to run once:
  Serial.begin( 250000 );
  pinMode( TRED_R_MOTOR_SPEED_PIN, OUTPUT);   
  pinMode( TRED_R_MOTOR_BRAKE_PIN, OUTPUT);
  pinMode( TRED_R_MOTOR_DIRECTION_PIN, OUTPUT);   

  pinMode( TRED_L_MOTOR_SPEED_PIN, OUTPUT);   
  pinMode( TRED_L_MOTOR_BRAKE_PIN, OUTPUT);
  pinMode( TRED_L_MOTOR_DIRECTION_PIN, OUTPUT);   
  
}

void loop() {
  // put your main code here, to run repeatedly:

  
  //----------
  Serial.println( "BRAKE IS OFF!!!" );
  
  digitalWrite(TRED_L_MOTOR_BRAKE_PIN, HIGH);
  digitalWrite(TRED_L_MOTOR_DIRECTION_PIN, HIGH); // (towards back direction)

  digitalWrite(TRED_R_MOTOR_BRAKE_PIN, HIGH);
  digitalWrite(TRED_R_MOTOR_DIRECTION_PIN, LOW); // (towards back direction)

  //---------
  //EXAMPLES
  //analogWrite(FLIPPER_MOTOR_SPEED_PIN, 255);  //  255 IS OFF
  //analogWrite(FLIPPER_MOTOR_SPEED_PIN, 0);    //  0 IS ON FULL BLAST
  //---------

  
  for (pos = 255; pos >= 0; pos -= 1) {
    // in steps of 1 degree
    Serial.println( "Stepping UP" );
    analogWrite(TRED_L_MOTOR_SPEED_PIN, 255-pos);
    analogWrite(TRED_R_MOTOR_SPEED_PIN, 255-pos);
    delay(15);                       
  }
  
  
  digitalWrite(TRED_L_MOTOR_DIRECTION_PIN, LOW); // (towards Front direction)
  digitalWrite(TRED_R_MOTOR_DIRECTION_PIN, HIGH); // (towards Front direction)


  for (pos = 0; pos <= 255; pos += 1) {
    Serial.println( "Stepping Down" );
    analogWrite(TRED_L_MOTOR_SPEED_PIN, 255-pos);
    analogWrite(TRED_R_MOTOR_SPEED_PIN, 255-pos);
    delay(15);
  }
  
  //----------
  Serial.println( "BRAKE IS BACK ON!!!" );
  digitalWrite(TRED_L_MOTOR_BRAKE_PIN, LOW);
  digitalWrite(TRED_R_MOTOR_BRAKE_PIN, LOW);
  //----------
  delay(1000);
  
}
